IntegerRating Struct Reference

Structure to store the rating of an integer test: More...

Inheritance diagram for IntegerRating:

## Public Member Functions

double | rate (int value) const
Public Member Functions inherited from RatingBase
| RatingBase ()

## Public Attributes

int | threshold
Public Attributes inherited from RatingBase
bool | active
| to turn the test on and off. More...
double | score
| score that should be added if the test succeeds. More...

## Detailed Description

Structure to store the rating of an integer test:

resultscore = (value >= threshold) ? score : 0;

## Member Function Documentation

## rate()

double IntegerRating::rate | ( | int | value | ) | const

## Member Data Documentation

## threshold

int IntegerRating::threshold

The documentation for this struct was generated from the following file:

- fullquottel.cpp